Index: /LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_routines_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_routines_mod.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_routines_mod.F90	(revision 5116)
@@ -11754,18 +11637,18 @@
                 'appel_stewart_np 586', &
                errmax,errmaxrel)
-             if (Pqiinf_stewart(il).gt.ridicule) then
+             if (Pqiinf_stewart(il).gt.ridicule) THEN
                 if (iso_verif_egalite_choix_nostop(( &
                 Pxtiinf_stewart(iso_eau,il)/Pqiinf_stewart(il)), &
                 1.,'appel_setwart 575b', errmax*10, errmaxrel*10) &
-                 .eq.1) then
-                   write(*,*) 'Pqiinf_stewart(il)=',Pqiinf_stewart(il)
-!                   write(*,*) 'Pqiinf_par(il)=',Pqiinf_par(il)
-                   write(*,*) 'Pxtiinf_stewart(iso_eau,il)=', &
+                 .eq.1) THEN
+                   WRITE(*,*) 'Pqiinf_stewart(il)=',Pqiinf_stewart(il)
+!                   WRITE(*,*) 'Pqiinf_par(il)=',Pqiinf_par(il)
+                   WRITE(*,*) 'Pxtiinf_stewart(iso_eau,il)=', &
                         Pxtiinf_stewart(iso_eau,il)
                    stop
                 endif
-             endif !if (Pqiinf_par.gt.ridicule) then
+             endif !if (Pqiinf_par.gt.ridicule) THEN
            enddo !do il=1,ncas       
-        endif !if (iso_eau.gt.0) then
+        endif !if (iso_eau.gt.0) THEN
 #endif     
 
@@ -11774,15 +11657,15 @@
         ! qui sort de la boite i (Pqiinf_par)
         do il=1,ncas
-          if (abs(water_cas(il)).lt.ridicule/10.) then
+          if (abs(water_cas(il)).lt.ridicule/10.) THEN
             do ixt=1,niso
                xtwater_cas(ixt,il)=water_cas(il)*Rdefault(ixt)
             enddo !do ixt=1,niso
-          else !if (water(il,i).eq.0.0) then
-             if (Pqiinf_stewart(il).gt.0.0) then  !if (Pxtiinf_par(iso_eau).gt.0.0) then 
+          else !if (water(il,i).eq.0.0) THEN
+             if (Pqiinf_stewart(il).gt.0.0) then  !if (Pxtiinf_par(iso_eau).gt.0.0) THEN
                do ixt=1,niso 
                  xtwater_cas(ixt,il)=water_cas(il) &
                    *Pxtiinf_stewart(ixt,il)/Pqiinf_stewart(il)
                enddo
-             else !if (Pxtiinf_stewart(iso_eau).gt.0.0) then
+             else !if (Pxtiinf_stewart(iso_eau).gt.0.0) THEN
                  ! normalement, ce cas a déjà été interdit dans
                  ! compress_evp_glace
@@ -11791,9 +11674,9 @@
                 enddo !do ixt=1,niso
              endif
-           endif !if (water(il,i).eq.0.0) then
+           endif !if (water(il,i).eq.0.0) THEN
          enddo !do il=1,ncas
         
 #ifdef ISOVERIF
-!       write(*,*) 'appel_stewart_np 2563: dans make_cas_evap_glace'
+!       WRITE(*,*) 'appel_stewart_np 2563: dans make_cas_evap_glace'
        do il=1,ncas
         do ixt=1,niso
@@ -11801,24 +11684,24 @@
                 'appel_stewart_np 566b')
         enddo !do ixt=1,niso
-        if (iso_eau.gt.0) then
+        if (iso_eau.gt.0) THEN
          CALL iso_verif_egalite_choix(xtwater_cas(iso_eau,il), &
                 water_cas(il),'appel_stewart_np 568b',errmax,errmaxrel)
-         if (water_cas(il).gt.ridicule*10) then
+         if (water_cas(il).gt.ridicule*10) THEN
              if (iso_verif_egalite_choix_nostop( &
                 xtwater_cas(iso_eau,il)/water_cas(il),1.0, &
-                'appel stewart 155b',errmax*10,errmaxrel*10).eq.1) then
-               write(*,*) 'i=',i
-               write(*,*) 'Tevap=',T_cas(il)
-               write(*,*) 'xtwater(iso_eau,il,i)=', &
+                'appel stewart 155b',errmax*10,errmaxrel*10).eq.1) THEN
+               WRITE(*,*) 'i=',i
+               WRITE(*,*) 'Tevap=',T_cas(il)
+               WRITE(*,*) 'xtwater(iso_eau,il,i)=', &
                         xtwater_cas(iso_eau,il)
-               write(*,*) 'water(il,i)=',water_cas(il)
-               write(*,*) 'Pxtiinf_stewart(iso_eau)=', &
+               WRITE(*,*) 'water(il,i)=',water_cas(il)
+               WRITE(*,*) 'Pxtiinf_stewart(iso_eau)=', &
                          Pxtiinf_stewart(iso_eau,il)
-!               write(*,*) 'Pqiinf_par,Pqiinf_stewart=',
+!               WRITE(*,*) 'Pqiinf_par,Pqiinf_stewart=',
 !     &                  Pqiinf_par(il),Pqiinf_stewart(il)
                stop
              endif  !if (iso_verif_egalite_nostop(
-         endif !if (water(il,i).gt.ridicule) then
-        endif !if (iso_eau.gt.0) then
+         endif !if (water(il,i).gt.ridicule) THEN
+        endif !if (iso_eau.gt.0) THEN
        enddo !do il=1,ncas
 #endif
@@ -11829,5 +11712,5 @@
         ! calcule xtevapi.    
        do il=1,ncas
-        if (Eqi_stewart(il)*fac_ftmr_cas(il).gt.0.0) then
+        if (Eqi_stewart(il)*fac_ftmr_cas(il).gt.0.0) THEN
          do ixt=1,niso          
           xtevap_cas(ixt,il)=Eqi_cas(il) &
@@ -11835,5 +11718,5 @@
                 /100.0/delP_cas(il)/sigd(il)*g
          enddo ! do ixt=1,niso
-        else !if (Eqi_stewart.gt.0.0) then
+        else !if (Eqi_stewart.gt.0.0) THEN
             ! il peut quand même y a voir de la diffusion
             do ixt=1,niso
@@ -11841,5 +11724,5 @@
                 /100.0/delP_cas(il)/sigd(il)*g
             enddo !do ixt=1,niso    
-        endif !if (Eqi_stewart.gt.0.0) then
+        endif !if (Eqi_stewart.gt.0.0) THEN
        enddo !do il=1,ncas
       
@@ -11849,48 +11732,48 @@
           CALL iso_verif_noNAN(xtevap_cas(ixt,il),'appel stewart 131b')
         enddo ! do ixt=1,niso
-        if (oktrac.eq.0) then 
+        if (oktrac.eq.0) THEN
             ! dans le cas traceur, le calcul de evap_cas est plus
             ! compliqué: il faut le faire plus proprement dans
             ! compress_stewart
-        if (iso_eau.gt.0) then
+        if (iso_eau.gt.0) THEN
             if (iso_verif_egalite_choix_nostop(xtevap_cas(iso_eau,il), &
               evap_cas(il), &
-              'appel stewart 142b',errmax,errmaxrel).eq.1) then
-                write(*,*) 'i,il=',i,il
-                write(*,*) 'Exi_stewart(iso_eau,il),Eqi_stewart(il)=', &
+              'appel stewart 142b',errmax,errmaxrel).eq.1) THEN
+                WRITE(*,*) 'i,il=',i,il
+                WRITE(*,*) 'Exi_stewart(iso_eau,il),Eqi_stewart(il)=', &
                         Exi_stewart(iso_eau,il),Eqi_stewart(il)
-                write(*,*) 'Eqi_prime_cas(il)=',Eqi_prime_cas(il)
-                write(*,*) 'xtevapsup_cas(iso_eau,il)=', &
+                WRITE(*,*) 'Eqi_prime_cas(il)=',Eqi_prime_cas(il)
+                WRITE(*,*) 'xtevapsup_cas(iso_eau,il)=', &
                   xtevapsup_cas(iso_eau,il)
-!                write(*,*) 'evap,evapsup=',evap(cas_evap_glace(il),i),
+!                WRITE(*,*) 'evap,evapsup=',evap(cas_evap_glace(il),i),
 !     &            evap(cas_evap_glace(il),i+1)
               stop 
             endif !if (iso_verif_egalite_choix_nostop(xtevap_cas(iso_eau,il),
-        endif !if (iso_eau.gt.0) then
-       endif ! if (oktrac.eq.0) then
+        endif !if (iso_eau.gt.0) THEN
+       endif ! if (oktrac.eq.0) THEN
       enddo !do il=1,ncas 
 #endif
 
-!      write(*,*) 'appel_stewart_np tmp 2243: Eqi_stewart(1)=',
+!      WRITE(*,*) 'appel_stewart_np tmp 2243: Eqi_stewart(1)=',
 !     :           Eqi_stewart(1)
-!      write(*,*) 'Eqi_prime_cas=',Eqi_prime_cas(1)
+!      WRITE(*,*) 'Eqi_prime_cas=',Eqi_prime_cas(1)
       ! deduction de XTP partir de Exi
         ! temporaire:
 !        il=2
 !        ixt=iso_eau
-!        write(*,*) 'tmp 2619: Eqi_stewart(il)=',Eqi_stewart(il)
-!        write(*,*) 'fac_ftmr_cas(il)=',fac_ftmr_cas(il)
-!        write(*,*) 'xtp_avantevaptrac_cas(ixt,il)=',
+!        WRITE(*,*) 'tmp 2619: Eqi_stewart(il)=',Eqi_stewart(il)
+!        WRITE(*,*) 'fac_ftmr_cas(il)=',fac_ftmr_cas(il)
+!        WRITE(*,*) 'xtp_avantevaptrac_cas(ixt,il)=',
 !     :                xtp_avantevaptrac_cas(ixt,il)
-!        write(*,*) 'Eqi_prime_cas(il)=',Eqi_prime_cas(il)
-!        write(*,*) 'Exi_stewart(ixt,il)=',Exi_stewart(ixt,il)
-!        write(*,*) 'tmp 2625: xtnew(ixt,il)=',xtnew(ixt,il)
+!        WRITE(*,*) 'Eqi_prime_cas(il)=',Eqi_prime_cas(il)
+!        WRITE(*,*) 'Exi_stewart(ixt,il)=',Exi_stewart(ixt,il)
+!        WRITE(*,*) 'tmp 2625: xtnew(ixt,il)=',xtnew(ixt,il)
 
       do il=1,ncas
-       if (i.lt.INB_cas(il)) then
-          if (fac_ftmr_cas(il).gt.0.0) then
-!           if (Eqi_stewart(il).gt.ridicule) then 
-            if (Eqi_stewart(il)*fac_ftmr_cas(il).gt.ridicule) then
-!               write(*,*) 'appel_stewart_v_np 2633 tmp: il=',il 
+       if (i.lt.INB_cas(il)) THEN
+          if (fac_ftmr_cas(il).gt.0.0) THEN
+!           if (Eqi_stewart(il).gt.ridicule) THEN
+            if (Eqi_stewart(il)*fac_ftmr_cas(il).gt.ridicule) THEN
+!               WRITE(*,*) 'appel_stewart_v_np 2633 tmp: il=',il
                do ixt=1,niso     
                !   xtp(ixt,il,i)=xtnew(ixt)*qp(il,i)/xtnew(4)           
@@ -11901,5 +11784,5 @@
                
 #ifdef ISOVERIF
-               if (iso_eau.gt.0) then
+               if (iso_eau.gt.0) THEN
                  CALL iso_verif_egalite_choix( &
                     xtp_cas(iso_eau,il),qp_cas(il), &
@@ -11908,11 +11791,10 @@
 #endif
 
-             else ! if (Eqi_stewart.gt.ridicule) then
-                if (qp_cas(il).gt.0.0) then 
-
+             else ! if (Eqi_stewart.gt.ridicule) THEN
+                if (qp_cas(il).gt.0.0) THEN
 !                    if (Eqi_prime_cas(il)*fac_ftmr_cas(il).gt.ridicule)
-!     &                   then 
+!     &                   THEN
                         if ((Eqi_prime_cas(il)-Eqi_stewart(il)) &
-                       *fac_ftmr_cas(il).gt.ridicule) then
+                       *fac_ftmr_cas(il).gt.ridicule) THEN
                         ! il va manquer quelque chose: il faut augmenter
                         ! xtp en lui ajoutant l'évap du niveau d'eau
@@ -11921,6 +11803,6 @@
 
                         if (qp_avantevap_cas(il)+Eqi_stewart(il) &
-                         *fac_ftmr_cas(il).gt.ridicule) then
-                        !write(*,*) 'appel_stewart_np 2500: il=',il
+                         *fac_ftmr_cas(il).gt.ridicule) THEN
+                        !WRITE(*,*) 'appel_stewart_np 2500: il=',il
                         do ixt=1,niso               
                         xtnew(ixt,il)=xtnew(ixt,il) &
@@ -11932,5 +11814,5 @@
                         else
 #ifdef ISOVERIF
-                          write(*,*) 'appel_stewart_np 2672: on stoppe'
+                          WRITE(*,*) 'appel_stewart_np 2672: on stoppe'
                           stop
 #endif                            
@@ -11945,17 +11827,16 @@
                     enddo !do ixt=1,niso
 #ifdef ISOVERIF
-                    if (iso_eau.gt.0) then
+                    if (iso_eau.gt.0) THEN
                       CALL iso_verif_egalite_choix( &
                     xtp_cas(iso_eau,il),qp_cas(il), &
                     'appel stewart 2643c',errmax,errmaxrel*30)
-                    endif !if (iso_eau.gt.0) then
+                    endif !if (iso_eau.gt.0) THEN
 #endif                       
-                else !if (qp(il,i).gt.0.0) then 
+                else !if (qp(il,i).gt.0.0) THEN
                   do ixt=1,niso               
                     xtp_cas(ixt,il)=0.0
                   enddo !do ixt=1,niso
-                endif  !if (qp(il,i).gt.0.0) then 
-             endif !if (Eqi_stewart.gt.ridicule) then 
-
+                endif  !if (qp(il,i).gt.0.0) THEN
+             endif !if (Eqi_stewart.gt.ridicule) THEN
 #ifdef ISOVERIF
              do ixt=1,niso
@@ -11965,38 +11846,38 @@
 #endif
 #ifdef ISOVERIF
-             if (oktrac.eq.0) then
-                if (iso_eau.gt.0) then
+             if (oktrac.eq.0) THEN
+                if (iso_eau.gt.0) THEN
                   if (iso_verif_egalite_choix_nostop( &
                     xtp_cas(iso_eau,il),qp_cas(il), &
                     'appel stewart 688b',errmax,errmaxrel*30) &
-                    .eq.1) then
-                    write(*,*) 'il=',il
-                    write(*,*) 'xtp_avantevaptrac_cas(iso_eau,il)=', &
+                    .eq.1) THEN
+                    WRITE(*,*) 'il=',il
+                    WRITE(*,*) 'xtp_avantevaptrac_cas(iso_eau,il)=', &
                         xtp_avantevaptrac_cas(iso_eau,il)
-                    write(*,*) 'qp_avantevap_cas(il)=', &
+                    WRITE(*,*) 'qp_avantevap_cas(il)=', &
                         qp_avantevap_cas(il)
-                    write(*,*) 'fac_ftmr_cas(il),Eqi_prime_cas(il)=', &
+                    WRITE(*,*) 'fac_ftmr_cas(il),Eqi_prime_cas(il)=', &
                         fac_ftmr_cas(il),Eqi_prime_cas(il)
-                    write(*,*) 'Exi_stewart(iso_eau,il),Eqi_stewart=', &
+                    WRITE(*,*) 'Exi_stewart(iso_eau,il),Eqi_stewart=', &
                         Exi_stewart(iso_eau,il),Eqi_stewart(il)
                     stop
                   endif
-               endif !if (iso_eau.gt.0) then 
+               endif !if (iso_eau.gt.0) THEN
               if ((iso_HDO.gt.0).and. &
-                (qp_cas(il).gt.ridicule)) then
+                (qp_cas(il).gt.ridicule)) THEN
                 CALL iso_verif_aberrant( &
                 xtp_cas(iso_HDO,il)/qp_cas(il), &
                 'appel_stewart_np 1384')
-              endif  ! if (iso_HDO.gt.0) then
-            endif ! if (oktrac.eq.0) then
+              endif  ! if (iso_HDO.gt.0) THEN
+            endif ! if (oktrac.eq.0) THEN
 #endif 
 
-          else !if (fac_ftmr.gt.0.0) then
+          else !if (fac_ftmr.gt.0.0) THEN
               ! ca veut dire que Mp=0, xtp pas définit
              do ixt=1,niso
                xtp_cas(ixt,il)=xtp_avantevaptrac_cas(ixt,il)
              enddo !do ixt=1,niso
-         endif !if (fac_ftmr.gt.0.0) then
-      else !if (i.lt.INB) then
+         endif !if (fac_ftmr.gt.0.0) THEN
+      else !if (i.lt.INB) THEN
           ! si i=inb, on ne change rien au calcul original, et on
           ! suppose que la composition du ddft est égale à celle de
@@ -12007,5 +11888,5 @@
                     !dans ce cas là
                   enddo
-      endif !if (i.lt.INB) then      
+      endif !if (i.lt.INB) THEN
       enddo !do il=1,ncas
 
@@ -12020,6 +11901,6 @@
 #endif
 #ifdef ISOVERIF
-        if (oktrac.eq.0) then
-        if (iso_eau.gt.0) then
+        if (oktrac.eq.0) THEN
+        if (iso_eau.gt.0) THEN
         do il=1,ncas
         if (iso_verif_egalite_choix_nostop( &
@@ -12027,39 +11908,39 @@
                  qp_cas(il), &
                 'appel stewart 197b: cas_evap_glace', &
-                errmax,errmaxrel*50).eq.1) then
-          write(*,*) 'i,il=',i,il,' INB(il)=',INB_cas(il)
+                errmax,errmaxrel*50).eq.1) THEN
+          WRITE(*,*) 'i,il=',i,il,' INB(il)=',INB_cas(il)
 !     &          ,' cas(il)=',cas_evap_glace(il)
-          write(*,*) 'Tevap=',T_cas(il)
-          write(*,*) 'xtp(iso_eau,il,i)=',xtp_cas(iso_eau,il)
-          write(*,*) 'qp(il,i)=',qp_cas(il)
-          write(*,*) 'xtnew(iso_eau)=',xtnew(iso_eau,il)
-          write(*,*) 'fac_ftmr=',fac_ftmr_cas(il)
-!          write(*,*) 'Mp(il,i)=',Mp(cas_evap_glace(il),i)
-          write(*,*) 'xtp_avantevap(iso_eau)=', &
+          WRITE(*,*) 'Tevap=',T_cas(il)
+          WRITE(*,*) 'xtp(iso_eau,il,i)=',xtp_cas(iso_eau,il)
+          WRITE(*,*) 'qp(il,i)=',qp_cas(il)
+          WRITE(*,*) 'xtnew(iso_eau)=',xtnew(iso_eau,il)
+          WRITE(*,*) 'fac_ftmr=',fac_ftmr_cas(il)
+!          WRITE(*,*) 'Mp(il,i)=',Mp(cas_evap_glace(il),i)
+          WRITE(*,*) 'xtp_avantevap(iso_eau)=', &
                 xtp_avantevap_cas(iso_eau,il)
-          write(*,*) 'qp_avantevap=',qp_avantevap_cas(il)
-          write(*,*) 'Exi_stewart(iso_eau)=',Exi_stewart(iso_eau,il)
-          write(*,*) 'Eqi_stewart=',Eqi_stewart(il)
-!          write(*,*) 'Eqi_prime=',Eqi_prime_cas(il)        
-          write(*,*) 'Pxtiinf_stewart(iso_eau)=', &
+          WRITE(*,*) 'qp_avantevap=',qp_avantevap_cas(il)
+          WRITE(*,*) 'Exi_stewart(iso_eau)=',Exi_stewart(iso_eau,il)
+          WRITE(*,*) 'Eqi_stewart=',Eqi_stewart(il)
+!          WRITE(*,*) 'Eqi_prime=',Eqi_prime_cas(il)
+          WRITE(*,*) 'Pxtiinf_stewart(iso_eau)=', &
                  Pxtiinf_stewart(iso_eau,il)
-!          write(*,*) 'Pqiinf_par=',Pqiinf_par(cas_evap_glace(il))
-          write(*,*) 'Pxtisup(iso_eau)=',Pxtisup_cas(iso_eau,il)
-          write(*,*) 'Pqisup=',Pqisup_cas(il)
+!          WRITE(*,*) 'Pqiinf_par=',Pqiinf_par(cas_evap_glace(il))
+          WRITE(*,*) 'Pxtisup(iso_eau)=',Pxtisup_cas(iso_eau,il)
+          WRITE(*,*) 'Pqisup=',Pqisup_cas(il)
           stop
          endif !if iso_verif_egalite_choix_nostop
          enddo !do il=1,ncas
         endif
-        if (iso_HDO.gt.0) then
+        if (iso_HDO.gt.0) THEN
           do il=1,ncas
-            if (qp_cas(il).gt.ridicule) then
+            if (qp_cas(il).gt.ridicule) THEN
                 CALL iso_verif_aberrant( &
                 xtp_cas(iso_HDO,il)/qp_cas(il), &
                 'appel_stewart_np 1449')
-            endif !if (qp_cas(il).gt.ridicule) then
+            endif !if (qp_cas(il).gt.ridicule) THEN
           enddo !do il=1,ncas
-        endif  ! if (iso_HDO.gt.0) then
-       endif ! if (oktrac.eq.0) then
-!       write(*,*) 'appel_stewart_np 2331: sortie de make_cas_evap_glace'
+        endif  ! if (iso_HDO.gt.0) THEN
+       endif ! if (oktrac.eq.0) THEN
+!       WRITE(*,*) 'appel_stewart_np 2331: sortie de make_cas_evap_glace'
 #endif
 
@@ -12105,35 +11986,34 @@
 
         ! traitement rapide du cas où cond=0
-        if (cond.eq.0) then
+        if (cond.eq.0) THEN
           do ixt=1,niso
             zxtliq(ixt)=0
             zxtice(ixt)=0
           enddo
-          return
+          RETURN
         endif
 
         ! verif que qt n'est pas nul
-        if (qt.eq.0) then
-            if (cond.lt.ridicule) then
+        if (qt.eq.0) THEN
+            if (cond.lt.ridicule) THEN
               do ixt=1,niso  
                 zxtliq(ixt)=0
                 zxtice(ixt)=0
               enddo
-              return
-            else !if (cond.lt.ridicule) then
+              RETURN
+            else !if (cond.lt.ridicule) THEN
                 ! c'est impossible de condenser qi pas d'eau au départ
-                write(*,*) 'condiso_liq_ice_vectiso 35'
-                write(*,*) 'qt=',qt
-                write(*,*) 'cond=',cond
+                WRITE(*,*) 'condiso_liq_ice_vectiso 35'
+                WRITE(*,*) 'qt=',qt
+                WRITE(*,*) 'cond=',cond
                 stop
             endif
-        endif !if (cond.lt.ridicule) then
-
+        endif !if (cond.lt.ridicule) THEN
         ! verif xt et qt
 #ifdef ISOVERIF
-          if (iso_eau.gt.0) then
+          if (iso_eau.gt.0) THEN
               CALL iso_verif_egalite_choix(qt,xt(iso_eau), &
                'condiso_liq_ice_vectiso 62',errmax,errmaxrel)
-          endif  !if ((iso_eau.gt.0).and.(ixt.eq.iso_eau)) then  
+          endif  !if ((iso_eau.gt.0).and.(ixt.eq.iso_eau)) THEN
           CALL iso_verif_positif(qt-cond, &
                 'condiso_liq_ice_vectiso 56: cond>qt')
@@ -12144,5 +12024,5 @@
 #endif
           zcond=max(0.0,min(cond,qt))
-          if (essai_convergence) then
+          if (essai_convergence) THEN
           else  
                 cond=min(cond,qt)
@@ -12161,22 +12041,22 @@
                 'condiso_liq_ice_vectiso 66')
         enddo
-        if (iso_eau.gt.0) then
+        if (iso_eau.gt.0) THEN
             CALL iso_verif_egalite_choix(zxtalphal(iso_eau),1.0, &
                 'condiso 21',errmax,errmaxrel)
             CALL iso_verif_egalite_choix(zxtalphai(iso_eau),1.0, &
                 'condiso 21',errmax,errmaxrel)
-        endif !if ((iso_eau.gt.0).and.(ixt.eq.iso_eau)) then
-        if (iso_HDO.gt.0) then
-            if (qt.gt.ridicule) then
+        endif !if ((iso_eau.gt.0).and.(ixt.eq.iso_eau)) THEN
+        if (iso_HDO.gt.0) THEN
+            if (qt.gt.ridicule) THEN
                if (iso_verif_aberrant_nostop(xt(iso_HDO) &
                  /qt*zxtalphai(iso_HDO)/faccond, &
-                 'condiso_liq_ice_vectiso 64').eq.1) then
-!                write(*,*) 'deltaDt=',(xt/qt/tnat(iso_HDO)-1)*1000
-!                write(*,*) 'tcond,fcond,zxtalphai=',
+                 'condiso_liq_ice_vectiso 64').eq.1) THEN
+!                WRITE(*,*) 'deltaDt=',(xt/qt/tnat(iso_HDO)-1)*1000
+!                WRITE(*,*) 'tcond,fcond,zxtalphai=',
 !     :                   tcond,cond/qt,zxtalphai
 !                stop
               endif !if (iso_verif_aberrant_nostop(xt/qt*zxtalphai/faccond,
-            endif !if (qt.gt.ridicule) then
-          endif !if (iso_HDO.gt.0) then
+            endif !if (qt.gt.ridicule) THEN
+          endif !if (iso_HDO.gt.0) THEN
 #endif
         
@@ -12185,5 +12065,5 @@
                /(qt+zcond*(zxtalphal(ixt)-1))
         enddo
-        if (zcond/qt.lt.1e-5) then
+        if (zcond/qt.lt.1e-5) THEN
            ! cas particulier pour éviter FI quand cond/qt->0  
            do ixt=1,niso
@@ -12191,5 +12071,5 @@
            enddo
 
-        else if (1.0-zcond/qt.lt.ridicule) then
+        else if (1.0-zcond/qt.lt.ridicule) THEN
            ! condensation totale
            ! on ajoute ce cas particulier le 9 avril 2012 car sur vargas
@@ -12203,56 +12083,54 @@
              zxtice(ixt)=xt(ixt)*(1.0-(1.0-(zcond/qt))**zxtalphai(ixt))
            enddo
-        endif !if (zcond/qt.lt.1e-5) then
-        
-
+        endif !if (zcond/qt.lt.1e-5) THEN
         ! verif
         ! verif egalité pour ixt=4 et eau normale:
 #ifdef ISOVERIF
-          if (zfice.lt.1) then  
+          if (zfice.lt.1) THEN
             do ixt=1,niso  
               CALL iso_verif_noNAN(zxtliq(ixt), &
                 'condiso_liq_ice_vectiso 91')
             enddo
-            if (iso_eau.gt.0) then   
+            if (iso_eau.gt.0) THEN
               CALL iso_verif_egalite_choix(zxtliq(iso_eau),cond, &
                 'condiso_liq_ice_vectiso 30',errmax,errmaxrel)
-            endif ! if ((iso_eau.gt.0).and.(ixt.eq.iso_eau)) then  
-            if (iso_HDO.gt.0) then 
-                if (cond.gt.ridicule) then
+            endif ! if ((iso_eau.gt.0).and.(ixt.eq.iso_eau)) THEN
+            if (iso_HDO.gt.0) THEN
+                if (cond.gt.ridicule) THEN
                     CALL iso_verif_aberrant(zxtliq(iso_HDO)/cond, &
                          'condiso_liq_ice_vectiso 32')
-                endif !if (cond.gt.ridicule) then 
-            endif !if ((iso_HDO.gt.0).and.(ixt.eq.iso_HDO)) then      
-          endif !if (zfice.lt.1) then
-          if (zfice.gt.0) then 
+                endif !if (cond.gt.ridicule) THEN
+            endif !if ((iso_HDO.gt.0).and.(ixt.eq.iso_HDO)) THEN
+          endif !if (zfice.lt.1) THEN
+          if (zfice.gt.0) THEN
             do ixt=1,niso    
             CALL iso_verif_noNAN(zxtice(ixt),'condiso_liq_ice_vectiso 149')
             enddo
-            if (iso_eau.gt.0) then      
+            if (iso_eau.gt.0) THEN
               CALL iso_verif_egalite_choix(zxtice(iso_eau),cond, &
                         'condiso_liq_ice_vectiso 31',errmax,errmaxrel)
-            endif ! if ((iso_eau.gt.0).and.(ixt.eq.iso_eau)) then  
-            if (iso_HDO.gt.0) then 
-              if (cond.gt.ridicule) then
+            endif ! if ((iso_eau.gt.0).and.(ixt.eq.iso_eau)) THEN
+            if (iso_HDO.gt.0) THEN
+              if (cond.gt.ridicule) THEN
                 if (iso_verif_aberrant_nostop(zxtice(iso_HDO)/cond &
-                  /faccond,'condiso_liq_ice_vectiso 33').eq.1) then
-                  write(*,*) 'debug condiso 88: zfice=',zfice 
-                  write(*,*) 'cond/qt=',cond/qt
-                  write(*,*) 'xt(iso_HDO)/qt=',xt(iso_HDO)/qt
-                  write(*,*) 'deltaD(xt(iso_HDO)/qt)=', &
+                  /faccond,'condiso_liq_ice_vectiso 33').eq.1) THEN
+                  WRITE(*,*) 'debug condiso 88: zfice=',zfice
+                  WRITE(*,*) 'cond/qt=',cond/qt
+                  WRITE(*,*) 'xt(iso_HDO)/qt=',xt(iso_HDO)/qt
+                  WRITE(*,*) 'deltaD(xt(iso_HDO)/qt)=', &
                                 deltaD(xt(iso_HDO)/qt)
-                  write(*,*) 'zxtalphai(iso_HDO)=',zxtalphai(iso_HDO)
-                  write(*,*) 'Rice/Rv0=',qt/cond* &
+                  WRITE(*,*) 'zxtalphai(iso_HDO)=',zxtalphai(iso_HDO)
+                  WRITE(*,*) 'Rice/Rv0=',qt/cond* &
                    (1-(1-cond/qt)**zxtalphai(iso_HDO))/(1-(1-cond/qt))
-                  write(*,*) 'tcond=',tcond-t_coup,'°C' 
-                  if (tcond-t_coup.gt.-40.0) then
+                  WRITE(*,*) 'tcond=',tcond-t_coup,'°C'
+                  if (tcond-t_coup.gt.-40.0) THEN
                       ! au dessus de -40, il y a de quoi s'inquiéter
                       ! en dessous, on ne sait pas ce que valent les alphas
                      stop
-                  endif !if (tcond(i).gt.100.0) then
+                  endif !if (tcond(i).gt.100.0) THEN
                   endif
-                endif !if (cond.gt.ridicule) then 
-            endif !if (iso_HDO.gt.0) then
-          endif !if (zfice.gt.0) then       
+                endif !if (cond.gt.ridicule) THEN
+            endif !if (iso_HDO.gt.0) THEN
+          endif !if (zfice.gt.0) THEN
         ! verif que deltaD n'est pas abberant:
           
@@ -12273,18 +12151,17 @@
                 'condiso_liq_ice_vectiso 193')
         enddo
-          if (iso_eau.gt.0) then
+          if (iso_eau.gt.0) THEN
             CALL iso_verif_egalite_choix( &
                 zxtice(iso_eau)+zxtliq(iso_eau),cond, &
                 'condiso_liq_ice_vectiso 79',errmax,errmaxrel)
-          endif ! if ((iso_eau.gt.0).and.(ixt.eq.iso_eau)) then
-#endif
-
-        if ((bidouille_anti_divergence).and.(iso_eau.gt.0)) then
+          endif ! if ((iso_eau.gt.0).and.(ixt.eq.iso_eau)) THEN
+#endif
+
+        if ((bidouille_anti_divergence).and.(iso_eau.gt.0)) THEN
             ! assurer convergence
-            if (zfice.eq.1.0) then
+            if (zfice.eq.1.0) THEN
                 zxtice(iso_eau)=cond
-            endif !if (zfice.eq.1.0) then
-       endif !if ((bidouille_anti_divergence).and.(iso_eau.gt.0)) then
-        
+            endif !if (zfice.eq.1.0) THEN
+       endif !if ((bidouille_anti_divergence).and.(iso_eau.gt.0)) THEN
         do ixt=1,ntraciso
           zxtice(ixt)=max(0.0,zxtice(ixt))
@@ -12310,5 +12187,5 @@
 USE isotopes_verif_mod
 #ifdef ISOTRAC
-USE isotrac_mod, only: ridicule_trac
+USE isotrac_mod, ONLY: ridicule_trac
 #endif
 #endif
@@ -12353,6 +12230,6 @@
 #endif
 #ifdef ISOVERIF   
-!          write(*,*) 'condiso 253: entrée dans condiso'     
-          if (iso_eau.gt.0) then
+!          WRITE(*,*) 'condiso 253: entrée dans condiso'
+          if (iso_eau.gt.0) THEN
             do i=1,n
               CALL iso_verif_egalite_choix &
@@ -12360,8 +12237,8 @@
                'condiso_liq_ice_vectall 251',errmax,errmaxrel)
               enddo !do i=1,no
-          endif  !if ((iso_eau.gt.0).and.(ixt.eq.iso_eau)) then  
-          if (iso_HDO.gt.0) then
+          endif  !if ((iso_eau.gt.0).and.(ixt.eq.iso_eau)) THEN
+          if (iso_HDO.gt.0) THEN
             do i=1,n
-!             if (qt(i).gt.ridicule) then
+!             if (qt(i).gt.ridicule) THEN
 #ifdef ISOTRAC            
               CALL iso_verif_aberrant_choix(xt(iso_hdo,i),qt(i), &
@@ -12377,5 +12254,5 @@
           
           do i=1,n
-!            write(*,*) 'condiso_liq_ice_vect 292: i,qt(i),cond(i)=',
+!            WRITE(*,*) 'condiso_liq_ice_vect 292: i,qt(i),cond(i)=',
 !     &          i,qt(i),cond(i)
 #ifdef VERIFNEGATIF
@@ -12389,11 +12266,11 @@
              (iso_verif_positif_nostop(370.0-tcond(i), &
              'condiso_liq_ice_vectall 286').eq.1).or.  &
-             ((qt(i).eq.0).and.(cond(i).gt.ridicule))) then
+             ((qt(i).eq.0).and.(cond(i).gt.ridicule))) THEN
               ! c'est impossible de condenser qi pas d'eau au départ
-                write(*,*) 'condiso_liq_ice_vectall 315'
-                write(*,*) 'i=',i
-                write(*,*) 'qt(i)=',qt(i)
-                write(*,*) 'cond(i)=',cond(i)
-                write(*,*) 'tcond=',tcond(i)
+                WRITE(*,*) 'condiso_liq_ice_vectall 315'
+                WRITE(*,*) 'i=',i
+                WRITE(*,*) 'qt(i)=',qt(i)
+                WRITE(*,*) 'cond(i)=',cond(i)
+                WRITE(*,*) 'tcond=',tcond(i)
                 stop
             endif
@@ -12404,5 +12281,5 @@
           enddo
           ! paragraphe enlevé le 29 avril 2012 car redondant.
-          !if (essai_convergence) then
+          !if (essai_convergence) THEN
           !else  
           !    do i=1,n
@@ -12423,24 +12300,24 @@
                 'condiso_liq_ice_vectall 66')
         enddo
-        if (iso_eau.gt.0) then
+        if (iso_eau.gt.0) THEN
             CALL iso_verif_egalite_choix(zxtalphal(iso_eau,i),1.0, &
                 'condiso 21',errmax,errmaxrel)
             CALL iso_verif_egalite_choix(zxtalphai(iso_eau,i),1.0, &
                 'condiso 21',errmax,errmaxrel)
-        endif !if ((iso_eau.gt.0).and.(ixt.eq.iso_eau)) then
-        if (iso_HDO.gt.0) then
-            if (qt(i).gt.ridicule) then
+        endif !if ((iso_eau.gt.0).and.(ixt.eq.iso_eau)) THEN
+        if (iso_HDO.gt.0) THEN
+            if (qt(i).gt.ridicule) THEN
                if (iso_verif_aberrant_nostop(xt(iso_HDO,i) &
                  /qt(i)*zxtalphai(iso_HDO,i)/faccond, &
-                 'condiso_liq_ice_vectall 64').eq.1) then
-!                write(*,*) 'deltaDt=',(xt/qt/tnat(iso_HDO)-1)*1000
-!                write(*,*) 'tcond,fcond,zxtalphai=',
+                 'condiso_liq_ice_vectall 64').eq.1) THEN
+!                WRITE(*,*) 'deltaDt=',(xt/qt/tnat(iso_HDO)-1)*1000
+!                WRITE(*,*) 'tcond,fcond,zxtalphai=',
 !     :                   tcond,cond/qt,zxtalphai
 !                stop
               endif !if (iso_verif_aberrant_nostop(xt/qt*zxtalphai/faccond,
-            endif !if (qt.gt.ridicule) then
-          endif !if (iso_HDO.gt.0) then
+            endif !if (qt.gt.ridicule) THEN
+          endif !if (iso_HDO.gt.0) THEN
          enddo !do i=1,n  
-!         write(*,*) 'condiso 320: après calculs alpha' 
+!         WRITE(*,*) 'condiso 320: après calculs alpha'
 #endif
         
@@ -12450,5 +12327,5 @@
        ! on change les seuils
         if ((zcond(i).le.1e-15).or. &
-                ((qt(i).le.1e-15).and.(zcond(i).lt.ridicule))) then
+                ((qt(i).le.1e-15).and.(zcond(i).lt.ridicule))) THEN
           do ixt=1,niso
             zxtliq(ixt,i)=0.0
@@ -12463,5 +12340,5 @@
          enddo
 
-         if (zcond(i)/qt(i).lt.1e-5) then
+         if (zcond(i)/qt(i).lt.1e-5) THEN
            ! cas particulier pour éviter FI quand cond/qt->0  
            do ixt=1,niso
@@ -12470,5 +12347,5 @@
            enddo !do ixt=1,niso
 
-        else if (1.0-zcond(i)/qt(i).lt.ridicule) then
+        else if (1.0-zcond(i)/qt(i).lt.ridicule) THEN
            ! condensation totale
            ! on ajoute ce cas particulier le 9 avril 2012 car sur vargas
@@ -12478,5 +12355,5 @@
            enddo !do ixt=1,niso
 
-         else  !if (cond(i)/qt(i).lt.1e-5) then
+         else  !if (cond(i)/qt(i).lt.1e-5) THEN
            ! cas général
            do ixt=1,niso
@@ -12484,6 +12361,5 @@
                *(1.0-(1.0-zcond(i)/qt(i))**zxtalphai(ixt,i))
            enddo !do ixt=1,niso
-        endif !if (cond(i)/qt(i).lt.1e-5) then
-
+        endif !if (cond(i)/qt(i).lt.1e-5) THEN
         endif  !if ((cond(i).le.0.0).or.
        enddo !do i=1,n
